Skip to main content
GET
/
v2
/
accounts
/
{id}
Retrieve an account
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/accounts/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "0187c66e-e7e5-811c-b006-2232f00f426a",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "employers": [
    "Whole Goods"
  ],
  "item": "item_123456789",
  "source": "thepayrollcompany",
  "created_at": "2023-01-30T12:53:22.561Z",
  "updated_at": "2023-01-30T12:55:04.478Z",
  "scanned_at": "2023-01-30T12:55:04.016Z",
  "connection": {
    "status": "connected",
    "error_code": null,
    "error_message": null,
    "updated_at": "2023-01-30T12:53:25.561Z"
  },
  "direct_deposit_switch": {
    "status": "success",
    "error_code": null,
    "error_message": null,
    "updated_at": "2023-01-30T12:55:03.478Z"
  },
  "availability": {
    "shifts": {
      "status": "synced",
      "updated_at": "2023-01-30T12:55:03Z",
      "available_count": 94,
      "available_from": "2020-04-11T12:53:27Z",
      "available_to": "2023-01-25T00:00:00Z"
    },
    "gigs": {
      "status": "synced",
      "updated_at": "2023-01-30T12:55:03Z",
      "available_count": 217,
      "available_from": "2020-04-11T12:53:27Z",
      "available_to": "2023-01-25T00:00:00Z"
    },
    "paystubs": {
      "status": "synced",
      "updated_at": "2023-01-30T12:55:03Z",
      "available_count": 68,
      "available_from": "2020-05-11T12:53:27Z",
      "available_to": "2023-01-29T23:59:59Z"
    },
    "payroll_documents": {
      "status": "synced",
      "updated_at": "2023-01-30T12:53:44.308912Z"
    },
    "identities": {
      "status": "synced",
      "updated_at": "2023-01-30T12:53:44.028552Z"
    },
    "ratings": {
      "status": "synced",
      "updated_at": "2023-01-30T12:55:03.359356Z"
    },
    "vehicles": {
      "status": "synced",
      "updated_at": "2023-01-30T12:53:44.321951Z"
    },
    "deposit_destinations": {
      "status": "synced",
      "updated_at": "2023-01-30T12:53:42.586391Z"
    },
    "user_forms": {
      "status": "in_progress",
      "updated_at": "2023-01-30T12:53:42.586391Z",
      "available_count": 0,
      "files_count": 1,
      "in_progress_count": 1,
      "user_uploads": {
        "status": "synced",
        "updated_at": "2023-01-30T12:54:41.621Z",
        "files_count": 2,
        "in_progress_count": 0
      }
    }
  },
  "ongoing_refresh": {
    "status": "enabled"
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the account object to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the connected payroll account.

user
string<uuid>

ID of the user that connected the account.

employers
string[]

Employers associated with the account.

A single employer is usually returned per account. Exceptions can occur when an LLC and Co. version of the same employer is returned.

item
string

ID of the Item in Link through which the account was connected.

source
string

Payroll data source. Typically a third-party payroll system unless the employer uses an in-house system.

created_at
string<datetime>

Timestamp (ISO 8601) when the user connected the account.

updated_at
string<datetime>

Timestamp (ISO 8601) when the account was last updated. An update occurs every time an account is scanned for new data, and when any values of the account object change (such as an updated connection status).

scanned_at
string<datetime>

Timestamp (ISO 8601) when the account was last scanned for new data. A null value indicates the account was never connected.

connection
object

Object containing information about the account's connection status.

direct_deposit_switch
object

Object containing deposit switch status information.

availability
object

Object containing information on data availability for each of Argyle's data sets, and any user-uploaded documents or "can't find my income" response forms.

ongoing_refresh
object

Object containing the account's ongoing_refresh status (whether the account will be updated with new data after each data refresh).